#include "../../../lib/std.mi"

Global Group MN;
Global Layer VolLayer, SeekLayer;
Global Timer SeekTimer;
Global Map VolMap, SeekMap;

System.onScriptLoaded() {
  MN = getScriptGroup();
  VolLayer = MN.getObject("VOLFILLER");
  SeekLayer = MN.getObject("POSFILLER");

  VolMap = new map;
  VolMap.loadmap("shade.volmap");
  
  SeekMap = new map;
  SeekMap.loadmap("shade.posmap");

  SeekTimer = new timer;
  SeekTimer.setDelay(50);
  SeekTimer.start();
}

SeekTimer.onTimer() {
  float dby = 255/getPlayItemLength();
  if (dby == 0) return;
  int dgoto = dby*getPosition();
  if (dgoto == 0) return;
  SeekLayer.setRegionFromMap(SeekMap, dgoto, 1);
}

System.onVolumeChanged(int newvol) {
  VolLayer.setRegionFromMap(VolMap, newvol, 1);
}